Subject: bug#35882: closed (Re: bug#35882: `emacsclient -t' breaks a terminal when try to open not a readable file)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Jun 2019 02:40:03 +0000

Your bug report

#35882: `emacsclient -t' breaks a terminal when try to open not a readable file

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35882: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35882
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35882: `emacsclient -t' breaks a terminal when try to open not a readable file
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 19 Jun 2019 05:39:43 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 18 Jun 2019 19:53:59 +0000
> From: [email-masked]
> 
> > I believe this problem is already indirectly solved on the master
> > branch, since we now visit the file before creating the frame. What I
> > see here with the master branch code is an error message saying
> > "*ERROR*: File is not readable: FILE", and the client exits without
> > leaving the terminal in a messed-up state.
> > 
> > Would it be possible for you to try the master branch and see if it
> > indeed solves the problem?
> > 
> > Thanks.
> 
> 
> I tried master branch. Problem solved.

Thanks, closing.

Subject: `emacsclient -t' breaks a terminal when try to open not a readable file
From: [email-masked]
To: [email-masked]
Date: Fri, 24 May 2019 12:43:40 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

After typing `emacsclient -t <filename>' where <filename> doesn't have a read permission for user,
I stop seeing the text I am typing in a terminal, also broken formatting of output text.
`stty sane' fixes that.